package com.ruoyi.system.mapper.fgw;

import java.util.List;
import com.ruoyi.system.domain.fgw.FgwJdap;
import org.apache.ibatis.annotations.Param;

/**
 * 发改委_节点安排Mapper接口
 * 
 * @author ruoyi
 * @date 2023-04-11
 */
public interface FgwJdapMapper 
{
    /**
     * 查询发改委_节点安排
     * 
     * @param id 发改委_节点安排主键
     * @return 发改委_节点安排
     */
    public FgwJdap selectFgwJdapById(Long id);

    /**
     * 查询发改委_节点安排列表
     * 
     * @param fgwJdap 发改委_节点安排
     * @return 发改委_节点安排集合
     */
    public List<FgwJdap> selectFgwJdapList(FgwJdap fgwJdap);

    /**
     * 新增发改委_节点安排
     * 
     * @param fgwJdap 发改委_节点安排
     * @return 结果
     */
    public int insertFgwJdap(FgwJdap fgwJdap);

    /**
     * 修改发改委_节点安排
     * 
     * @param fgwJdap 发改委_节点安排
     * @return 结果
     */
    public int updateFgwJdap(FgwJdap fgwJdap);

    /**
     * 删除发改委_节点安排
     * 
     * @param id 发改委_节点安排主键
     * @return 结果
     */
    public int deleteFgwJdapById(Long id);

    /**
     * 批量删除发改委_节点安排
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFgwJdapByIds(Long[] ids);

    int updateFgwJdapJdsh(@Param("ids") String[] ids, @Param("shyj")String shyj, @Param("shjg")String shjg);

    List<FgwJdap> selectFgwJdapNum(Long yjts);

    List<FgwJdap> selectFgwJdapCqxmNum();

    List<FgwJdap> selectFgwJdapListByIdList(@Param("jdapIdList")List<Long> jdapIdList);
}
